<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/crypto/src Directory Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_662763201df975e54664a452d4fba6a4.html">crypto</a></li><li class="navelem"><a class="el" href="dir_44938629b2369795d1c2a6b93015526a.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:aes_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aes_8c.html">aes.c</a></td></tr>
<tr class="memdesc:aes_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The file implements the register level AES functions. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aes__crypto_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="aes__crypto_8c.html">aes_crypto.c</a></td></tr>
<tr class="memdesc:aes__crypto_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The file implements the AES crypto functions that process the given data and generate the output based on the crypto module configuration. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_crypto_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_crypto_8c.html">Crypto.c</a></td></tr>
<tr class="memdesc:_crypto_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The file implements the Crypto Driver for the XWR16xx. The file implements the driver to conform to the MCPI standards. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:hmac_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmac_8c.html">hmac.c</a></td></tr>
<tr class="memdesc:hmac_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The file implements the register level functions for HMAC/HASH module using SHA/MD5 algorithms. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:hmac__crypto_8c"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmac__crypto_8c.html">hmac_crypto.c</a></td></tr>
<tr class="memdesc:hmac__crypto_8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The file implements the HMAC/HASH module functions that process the given data and generate the output based on the module configuration. No validations are performed on input parameters. The caller of the APIs need to ensure the input parameters are valid. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
